<?php
use Bitrix\Main\Localization\Loc;

Loc::loadMessages(__FILE__);

$description = array(
	'RETURN' => "Refunds are not supported",
	'RESTRICTION' => Loc::getMessage('SALE_HPS_CHECKOUT_RESTRICTION'),
	'COMMISSION' => Loc::getMessage('SALE_HPS_CHECKOUT_COMMISSION'),
	'MAIN' => "Setup payment system <a href=\"https://passimpay.io\">passimpay.io</a><br>
Notification URL - #website address#/bitrix/tools/sale_ps_result.php",
);

if (IsModuleInstalled('bitrix24'))
{
	$description['REFERRER'] = Loc::getMessage('SALE_HPS_CHECKOUT_REFERRER');
}

$request = \Bitrix\Main\Application::getInstance()->getContext()->getRequest();
$host = $request->isHttps() ? 'https' : 'http';
$returnUrl=$host."://".$_SERVER['SERVER_NAME']."/bitrix/tools/sale_ps_result.php";


$isAvailable = \Bitrix\Sale\PaySystem\Manager::HANDLER_AVAILABLE_TRUE;

$licensePrefix = \Bitrix\Main\Loader::includeModule("bitrix24") ? \CBitrix24::getLicensePrefix() : "";
if (IsModuleInstalled("bitrix24") && !in_array($licensePrefix, ["ru"]))
{
	$isAvailable = \Bitrix\Sale\PaySystem\Manager::HANDLER_AVAILABLE_FALSE;
}


$data = array(
	'NAME' => "Payment passimpay.io",
	'SORT' => 500,
	'IS_AVAILABLE' => $isAvailable,
	'CODES' => array(
        "CHANGE_STATUS_PAY" => array(
            "NAME" => "Automatically pay for the order upon receipt of a successful payment status",
            'SORT' => 50,
            'GROUP' => 'GENERAL_SETTINGS',
            "INPUT" => array(
                'TYPE' => 'Y/N'
            ),
        ),
		"PLATFORM_ID" => array(
			"NAME" => "Platform id",
			"DESCRIPTION" => Loc::getMessage("SALE_HPS_CHECKOUT_SHOP_ID_DESC"),
			'SORT' => 100,
			'GROUP' => 'GENERAL_SETTINGS',
            'DEFAULT' => array(
                "PROVIDER_VALUE" => "",
                "PROVIDER_KEY" => "VALUE"
            )
		),
		"SECRET_KEY" => array(
            "NAME" => "Secret key",
            "DESCRIPTION" => Loc::getMessage("SALE_HPS_CHECKOUT_SECRET_KEY_DESC"),
            'SORT' => 200,
            'GROUP' => 'GENERAL_SETTINGS',
            'DEFAULT' => array(
                "PROVIDER_VALUE" => "",
                "PROVIDER_KEY" => "VALUE"
            )
        ),

        "USD_RATE" => array(
            "NAME" => "USD rate",
            "DESCRIPTION" => Loc::getMessage("SALE_HPS_CHECKOUT_SECRET_KEY_DESC"),
            'SORT' => 400,
            'GROUP' => 'GENERAL_SETTINGS',
            'DEFAULT' => array(
                "PROVIDER_VALUE" => "",
                "PROVIDER_KEY" => "VALUE"
            )
        ),

	)
);
