<?

use \Bitrix\Main\Localization\Loc;
use \Bitrix\Main\Config as Conf;
use \Bitrix\Main\Config\Option;
use \Bitrix\Main\Loader;
use \Bitrix\Main\Entity\Base;
use \Bitrix\Main\Application;
Loc::loadMessages(__FILE__);

class passim_payment extends CModule
{
    var $exclusionAdminFiles;
    var $entityList;
    var $MODULE_ID = 'passim.payment';
    var $MODULE_NAME;
    var $PARTNER_NAME;
    var $PARTNER_URI;

	function __construct()
	{
		$arModuleVersion = array();
		include(__DIR__."/version.php");

        $this->MODULE_ID = 'passim.payment';
		$this->MODULE_VERSION = $arModuleVersion["VERSION"];
		$this->MODULE_VERSION_DATE = $arModuleVersion["VERSION_DATE"];
		$this->MODULE_NAME = "Payment system passimpay.io";
		$this->MODULE_DESCRIPTION = "Integration of the payment system passimpay.io";

		$this->PARTNER_NAME = "Kitnet";
		$this->PARTNER_URI = "https://kitnet.ru/";

        $this->MODULE_SORT = 1;
        $this->SHOW_SUPER_ADMIN_GROUP_RIGHTS='Y';
        $this->MODULE_GROUP_RIGHTS = "Y";


        $this->deleteFiles=array(
            '/bitrix/php_interface/include/sale_payment/passimpay/'
        );
	}

    public function GetPath($notDocumentRoot=false)
    {
        if($notDocumentRoot)
            return str_ireplace(Application::getDocumentRoot(),'',dirname(__DIR__));
        else
            return dirname(__DIR__);
    }


    public function isVersionD7()
    {
        return CheckVersion(\Bitrix\Main\ModuleManager::getVersion('main'), '14.00.00');
    }

    function DoInstall()
    {
    	global $APPLICATION;
    	if($this->isVersionD7())
    	{
    		\Bitrix\Main\ModuleManager::registerModule($this->MODULE_ID);
    		$this->InstallFiles();
    	}
    	else
    	{
    		$APPLICATION->ThrowException(Loc::getMessage("KITNET_IMPORT_INSTALL_ERROR_VERSION"));
    	}
    	
    	$APPLICATION->IncludeAdminFile(Loc::getMessage("KITNET_IMPORT_INSTALL_TITLE"), $this->GetPath()."/install/step.php");
    }

	function InstallFiles($arParams = array())
	{
        

        CopyDirFiles ( $this->GetPath()."/install/images/", $_SERVER ["DOCUMENT_ROOT"] . "/bitrix/images/sale/sale_payments", true, true );
        CopyDirFiles ( $this->GetPath()."/install/sale_payment/", $_SERVER ["DOCUMENT_ROOT"] . "/bitrix/php_interface/include/sale_payment", true, true );
        
        
        return true;
	}

	
	function DoUninstall()
	{
		Loader::includeModule($this->MODULE_ID);
        $this->UnInstallFiles();
        \Bitrix\Main\ModuleManager::unRegisterModule($this->MODULE_ID);
 
	}

	function UnInstallFiles()
	{
        DeleteDirFiles ( $this->GetPath()."/install/images/", $_SERVER ["DOCUMENT_ROOT"] . "/bitrix/images/sale/sale_payments", true, true );
        foreach($this->deleteFiles as $deleteFile) {
            $dir = new \Bitrix\Main\IO\Directory($_SERVER['DOCUMENT_ROOT']  . $deleteFile);
            $dir->delete();
        }
		return true;
	}
	
    function GetModuleRightList()
    {
        return array(
            "reference_id" => array("D","K","S","W"),
            "reference" => array(
                "[D] ".Loc::getMessage("KITNET_IMPORT_DENIED"),
                "[K] ".Loc::getMessage("KITNET_IMPORT_READ_COMPONENT"),
                "[S] ".Loc::getMessage("KITNET_IMPORT_WRITE_SETTINGS"),
                "[W] ".Loc::getMessage("KITNET_IMPORT_FULL"))
        );
    }
}
?>